Subject: Re: [PATCH] net: ipv4: Use SPDX-license-identifier and remove the License description

From: Jakub Kicinski <[email-masked]>
Date: Wed, 31 Aug 2022 19:32:23 -0700

On Tue, 30 Aug 2022 09:50:54 +0800 Li zeming wrote:
> Add the SPDX-license-identifier license agreement to more clearly
> express the content of the license representative.

> - *  This source is covered by the GNU GPL, the same as all kernel sources.

Is the kernel code covered by GPL-2-or-later by default or GPL-2?
IIRC Linus was not a fan of GPL-3, and my reading of the first few
paragraphs of license-rules.rst is that default is indeed just 2.0.

Could you find a reference to some document or discussion which would
support that "the same as all kernel sources" means 2-or-later, and add
it to the patch description?